For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom Objects

get

Custom objects

Authorizations
X-API-KEYstringRequired
X-BUSINESS-IDstringRequired
X-USER-IDstringRequired
Query parameters
allow_relationsbooleanOptional
custom_onlybooleanOptional

Filter Custom Objects for the Client object (is_custom field)

Default: true
default_on_activitiesbooleanOptional
is_custombooleanOptional
namestringOptional
object_namestringOptional
object_typestring · enumOptional
  • pipeline - pipeline
  • standard - standard
Possible values:
orderingstring · enumOptional

Which field to use when ordering the results. Prepend with '-' for descending order.

Possible values:
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

searchstringOptional

A search term.

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
errorsstring[] · nullableOptionalExample: ["error message"]
get/api/custom-objects
GET /api/custom-objects HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "fetch_url": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "object_type": "pipeline",
      "object_name": "text",
      "entity_name": "text",
      "rollup_related_leadsources": true,
      "association_source": "direct",
      "has_commerce_data": true,
      "default_on_activities": true,
      "owner": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "first_name": "text",
        "last_name": "text",
        "email": "name@gmail.com",
        "full_name": "text",
        "picture": {
          "id": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "key": "text",
          "name": "text",
          "url": "text",
          "thumbnail_url": "text",
          "size_bytes": "text",
          "content_type": "text",
          "size_formatted": "text",
          "is_public": true
        }
      },
      "description": "text",
      "is_custom": true,
      "allow_relations": true,
      "created": "2026-01-01T00:00:00.000Z",
      "access": {
        "view": true,
        "edit": true,
        "remove": true
      },
      "track_entity_value": true,
      "include_percentage_to_close": true,
      "use_ai_to_update_percentage": true,
      "ai_confidence_threshold": "text",
      "allow_on_forms": true,
      "default_color": "text",
      "default_icon": "text"
    }
  ],
  "errors": [
    "error message"
  ]
}
get

Get Custom object by ID

Authorizations
X-API-KEYstringRequired
X-BUSINESS-IDstringRequired
X-USER-IDstringRequired
Path parameters
object_identifierstringRequired

Custom Object ID (UUID) or API name

Query parameters
orderingstring · enumOptional

Which field to use when ordering the results. Prepend with '-' for descending order.

Possible values:
Responses
200Success
application/json
idstring · uuidRead-onlyRequired
object_typestring · enumRequired
  • pipeline - pipeline
  • standard - standard
Possible values:
entity_namestring · max: 200Required
object_namestring · max: 200Required
has_commerce_databooleanOptionalDefault: false
default_on_activitiesbooleanRequired
namestringOptional
descriptionstring · max: 500 · nullableOptional
ai_descriptionstring · nullableRead-onlyRequired
is_custombooleanRead-onlyRequired
fetch_urlstringRead-onlyRequired
allow_relationsbooleanRead-onlyRequired
metaanyOptional
number_of_recordsintegerRead-onlyRequired
createdstring · date-timeRead-onlyRequired
entity_accessbooleanRead-onlyRequired
rollup_related_leadsourcesboolean · nullableOptional
quick_filtering_enabledboolean · nullableOptional
association_sourcestring · enumOptional
  • direct - Direct
  • related - Related
  • direct_and_related - Direct and Related
Possible values:
action_override_createstring · max: 512 · nullableOptional
track_entity_valuebooleanOptional
include_percentage_to_closebooleanOptional
use_ai_to_update_percentagebooleanOptional
ai_confidence_thresholdstring · decimalOptionalPattern: ^-?\d{0,1}(?:\.\d{0,2})?$
total_pipeline_valuenumber · doubleRead-onlyRequired
total_commerce_valuenumber · doubleRead-onlyRequired
allow_on_formsboolean · nullableOptional
entity_display_name_pattern_textstringOptional
entity_display_name_pattern_htmlstringOptional
entity_search_text_patternstringOptional
default_colorstringOptionalDefault: #085BEE
default_iconstringOptionalDefault: bars-light
get/api/custom-objects/{object_identifier}
GET /api/custom-objects/{object_identifier} HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
200Success
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "object_type": "pipeline",
  "entity_name": "text",
  "object_name": "text",
  "has_commerce_data": false,
  "default_on_activities": true,
  "owner": {
    "picture_url": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "first_name": "text",
    "last_name": "text",
    "email": "name@gmail.com",
    "display_name": "text",
    "account_type": "text"
  },
  "name": "text",
  "description": "text",
  "ai_description": "text",
  "is_custom": true,
  "fetch_url": "text",
  "allow_relations": true,
  "meta": null,
  "related_objects": [
    {
      "related_object": "123e4567-e89b-12d3-a456-426614174000",
      "relation_type": "one_to_one",
      "rollup_timeline": false,
      "rollup_leadsources": true,
      "object_type": "text",
      "object_name": "text",
      "entity_name": "text",
      "field_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "number_of_records": 1,
  "created": "2026-01-01T00:00:00.000Z",
  "access": {
    "view": true,
    "edit": true,
    "remove": true
  },
  "entity_access": true,
  "rollup_related_leadsources": true,
  "quick_filtering_enabled": true,
  "record_layouts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "config": null,
      "tabs": null,
      "order": 1
    }
  ],
  "association_source": "direct",
  "association_source_fields": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "related_field": "text",
      "related_object": "text"
    }
  ],
  "action_override_create": "text",
  "track_entity_value": true,
  "include_percentage_to_close": true,
  "use_ai_to_update_percentage": true,
  "ai_confidence_threshold": "text",
  "pipeline": {
    "stages": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "status": "open",
        "percentage_chance_to_close": 1,
        "order": 1
      }
    ],
    "track_entity_value": true,
    "include_percentage_to_close": true,
    "use_ai_to_update_percentage": true
  },
  "total_pipeline_value": 1,
  "total_commerce_value": 1,
  "reasons_lost": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "reasons_disqualified": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "undeletable_fields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "allow_on_forms": true,
  "entity_display_name_pattern_text": "text",
  "entity_display_name_pattern_html": "text",
  "entity_search_text_pattern": "text",
  "default_color": "#085BEE",
  "default_icon": "bars-light",
  "browser_js_actions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "api_name": "text",
      "name": "text",
      "script": "text",
      "plugin_app": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "api_name": "text",
        "base_config": null
      }
    }
  ],
  "browser_route_scripts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "api_name": "text",
      "name": "text",
      "routes": null,
      "script": "text",
      "blocking": true,
      "custom_object": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "object_name": "text"
      },
      "plugin_app": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "api_name": "text",
        "base_config": null
      }
    }
  ],
  "custom_actions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "action": "text",
      "automation": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "api_name": "text",
        "name": "text"
      },
      "smart_connector": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "order": 1
    }
  ]
}
get

Custom object with fields and categories

Authorizations
X-API-KEYstringRequired
X-BUSINESS-IDstringRequired
X-USER-IDstringRequired
Path parameters
object_identifierstringRequired

Custom object ID (UUID) or API name

Responses
200Success
application/json
idstring · uuidRead-onlyRequired
object_typestring · enumOptional
  • pipeline - pipeline
  • standard - standard
Possible values:
entity_namestring · max: 200Required
object_namestring · max: 200Required
has_commerce_databooleanOptionalDefault: false
default_on_activitiesbooleanRequired
namestringOptional
descriptionstring · max: 500 · nullableOptional
ai_descriptionstring · nullableRead-onlyRequired
is_custombooleanRead-onlyRequired
fetch_urlstringRead-onlyRequired
allow_relationsbooleanRead-onlyRequired
metaanyOptional
createdstring · date-timeRead-onlyRequired
entity_accessbooleanRead-onlyRequired
rollup_related_leadsourcesboolean · nullableOptional
quick_filtering_enabledboolean · nullableOptional
association_sourcestring · enumOptional
  • direct - Direct
  • related - Related
  • direct_and_related - Direct and Related
Possible values:
action_override_createstring · max: 512 · nullableOptional
get/api/custom-objects/{object_identifier}/detail
GET /api/custom-objects/{object_identifier}/detail HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
200Success
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "object_type": "pipeline",
  "entity_name": "text",
  "object_name": "text",
  "has_commerce_data": false,
  "default_on_activities": true,
  "owner": {
    "picture_url": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "first_name": "text",
    "last_name": "text",
    "email": "name@gmail.com",
    "display_name": "text",
    "account_type": "text"
  },
  "name": "text",
  "description": "text",
  "ai_description": "text",
  "is_custom": true,
  "fetch_url": "text",
  "allow_relations": true,
  "meta": null,
  "related_objects": [
    {
      "related_object": "123e4567-e89b-12d3-a456-426614174000",
      "relation_type": "one_to_one",
      "rollup_timeline": false,
      "rollup_leadsources": true,
      "object_type": "text",
      "object_name": "text",
      "entity_name": "text",
      "field_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "access": {
    "view": true,
    "edit": true,
    "remove": true
  },
  "entity_access": true,
  "rollup_related_leadsources": true,
  "quick_filtering_enabled": true,
  "record_layouts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "config": null,
      "tabs": null,
      "order": 1
    }
  ],
  "association_source": "direct",
  "association_source_fields": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "related_field": "text",
      "related_object": "text"
    }
  ],
  "action_override_create": "text",
  "field_categories": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "order": 1
    }
  ],
  "fields": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "category": "123e4567-e89b-12d3-a456-426614174000",
      "display_name": "text",
      "canonical_display_name": "text",
      "is_default": true,
      "field_type": "checkbox",
      "is_required": true,
      "is_read_only": true,
      "is_hidden": true,
      "is_deletable": true,
      "is_hideable": true,
      "is_suppressed": true,
      "include_in_short_form": "text",
      "allows_nulls": true,
      "allows_empty": true,
      "order": 1,
      "meta": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "description": "text",
      "description_visibility": "all",
      "properties": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "access": {
        "view": true,
        "edit": true,
        "remove": true
      },
      "options": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "code": "text",
          "name": "text",
          "order": 1,
          "meta": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "percentage_chance_to_close": 1,
          "chance_to_close_percentage": 1,
          "status": "open"
        }
      ],
      "relation": {
        "related_field": "123e4567-e89b-12d3-a456-426614174000",
        "related_object": "123e4567-e89b-12d3-a456-426614174000",
        "related_category": "123e4567-e89b-12d3-a456-426614174000",
        "related_name": "text",
        "related_object_name": "text",
        "related_object_object_name": "text",
        "related_entity_name": "text",
        "relation_type": "one_to_one",
        "cardinality": "one_to_one",
        "fetch_url": "text",
        "rollup_timeline": true,
        "rollup_leadsources": true,
        "inverse_relation_rollup_timeline": true,
        "inverse_relation_rollup_leadsources": true,
        "inverse_relation_suppressed": true,
        "related_object_default_on_activities": "text"
      },
      "allow_on_forms": true
    }
  ],
  "pipeline": {
    "stages": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "status": "open",
        "percentage_chance_to_close": 1,
        "order": 1
      }
    ],
    "track_entity_value": true,
    "include_percentage_to_close": true,
    "use_ai_to_update_percentage": true
  },
  "browser_js_actions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "api_name": "text",
      "name": "text",
      "script": "text",
      "plugin_app": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "api_name": "text",
        "base_config": null
      }
    }
  ],
  "browser_route_scripts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "api_name": "text",
      "name": "text",
      "routes": null,
      "script": "text",
      "blocking": true,
      "custom_object": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "object_name": "text"
      },
      "plugin_app": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "api_name": "text",
        "base_config": null
      }
    }
  ],
  "custom_actions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "action": "text",
      "automation": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "api_name": "text",
        "name": "text"
      },
      "smart_connector": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "order": 1
    }
  ]
}

List field options

get

Lists field options for single or multi-select fields, such as dynamic tags, checkboxes, dropdown, radio, etc

Authorizations
X-API-KEYstringRequired
X-BUSINESS-IDstringRequired
X-USER-IDstringRequired
Path parameters
field_identifierstringRequired

Field ID (UUID) or API name

object_identifierstringRequired

Custom Object ID (UUID) or API name

Query parameters
include_entity_countbooleanOptional

Includes entity_count in response and makes the response paginated.

orderingstring · enumOptional

Which field to use when ordering the results. Prepend with '-' for descending order.

Possible values:
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

searchstringOptional

A search term.

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
errorsstring[] · nullableOptionalExample: ["error message"]
get/api/custom-objects/{object_identifier}/fields/{field_identifier}/options
GET /api/custom-objects/{object_identifier}/fields/{field_identifier}/options HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "06fe6c54-ea50-469e-b7fd-898a6b1b51b2",
      "code": "",
      "name": "Option 1",
      "order": 1,
      "meta": {}
    }
  ],
  "errors": [
    "error message"
  ]
}
post

Search fields

Authorizations
X-API-KEYstringRequired
X-BUSINESS-IDstringRequired
X-USER-IDstringRequired
Path parameters
object_identifierstringRequired

Custom Object ID (UUID) or API name

Query parameters
categorystring · uuidOptional
field_typestring · enumOptional
  • checkbox - Checkbox
  • checkboxes - Checkboxes
  • choices - Choices
  • date - Date
  • datetime - Datetime
  • decimal - Decimal Number
  • dropdown - Dropdown
  • dynamictags - Dynamic Tags
  • email - Email
  • files - Files
  • integer - Whole Number
  • longtext - Long Text
  • money - Money
  • phonenumber - Phone Number
  • radio - Radio
  • rating - Rating
  • relationship - Relationship
  • selector - Selector
  • status - Status
  • team_selector - Team Selector
  • text - Text
  • timezone - Timezone
  • wysiwyg - Wysiwyg
  • yesnomaybe - Yes / No / Maybe Question
Possible values:
field_type__instring[]Optional

Multiple values may be separated by commas.

is_defaultbooleanOptional
numericbooleanOptional
orderingstring · enumOptional

Which field to use when ordering the results. Prepend with '-' for descending order.

Possible values:
searchstringOptional

A search term.

Body
idstring · uuidRequired
namestring · min: 1Required
categorystring · uuidRequired
display_namestring · min: 1Required
canonical_display_namestring · min: 1Required
is_defaultbooleanRequired
field_typestring · enumRequired
  • checkbox - Checkbox
  • checkboxes - Checkboxes
  • choices - Choices
  • date - Date
  • datetime - Datetime
  • decimal - Decimal Number
  • dropdown - Dropdown
  • dynamictags - Dynamic Tags
  • email - Email
  • files - Files
  • integer - Whole Number
  • longtext - Long Text
  • money - Money
  • phonenumber - Phone Number
  • radio - Radio
  • rating - Rating
  • relationship - Relationship
  • selector - Selector
  • status - Status
  • team_selector - Team Selector
  • text - Text
  • timezone - Timezone
  • wysiwyg - Wysiwyg
  • yesnomaybe - Yes / No / Maybe Question
Possible values:
is_requiredbooleanRequired
is_read_onlybooleanRequired
is_hiddenbooleanRequired
is_deletablebooleanRequired
is_hideablebooleanRequired
is_suppressedbooleanRequired
include_in_short_formstring · min: 1Required
allows_nullsbooleanRequired
allows_emptybooleanRequired
orderintegerRequired
descriptionstring · min: 1Required
description_visibilitystring · enumRequired
  • all - All Labels
  • create_only - Only on Create
  • settings_only - Only in Settings
Possible values:
allow_on_formsbooleanRequired
Responses
200Success
application/json
idstring · uuidRequired
namestringRequired
categorystring · uuidRequired
display_namestringRequired
canonical_display_namestringRequired
is_defaultbooleanRequired
field_typestring · enumRequired
  • checkbox - Checkbox
  • checkboxes - Checkboxes
  • choices - Choices
  • date - Date
  • datetime - Datetime
  • decimal - Decimal Number
  • dropdown - Dropdown
  • dynamictags - Dynamic Tags
  • email - Email
  • files - Files
  • integer - Whole Number
  • longtext - Long Text
  • money - Money
  • phonenumber - Phone Number
  • radio - Radio
  • rating - Rating
  • relationship - Relationship
  • selector - Selector
  • status - Status
  • team_selector - Team Selector
  • text - Text
  • timezone - Timezone
  • wysiwyg - Wysiwyg
  • yesnomaybe - Yes / No / Maybe Question
Possible values:
is_requiredbooleanRequired
is_read_onlybooleanRequired
is_hiddenbooleanRequired
is_deletablebooleanRequired
is_hideablebooleanRequired
is_suppressedbooleanRequired
include_in_short_formstringRequired
allows_nullsbooleanRequired
allows_emptybooleanRequired
orderintegerRequired
descriptionstringRequired
description_visibilitystring · enumRequired
  • all - All Labels
  • create_only - Only on Create
  • settings_only - Only in Settings
Possible values:
allow_on_formsbooleanRequired
post/api/custom-objects/{object_identifier}/fields/search
POST /api/custom-objects/{object_identifier}/fields/search HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Content-Type: application/json
Accept: */*
Content-Length: 1188

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "category": "123e4567-e89b-12d3-a456-426614174000",
  "display_name": "text",
  "canonical_display_name": "text",
  "is_default": true,
  "field_type": "checkbox",
  "is_required": true,
  "is_read_only": true,
  "is_hidden": true,
  "is_deletable": true,
  "is_hideable": true,
  "is_suppressed": true,
  "include_in_short_form": "text",
  "allows_nulls": true,
  "allows_empty": true,
  "order": 1,
  "meta": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "description": "text",
  "description_visibility": "all",
  "properties": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "access": {
    "view": true,
    "edit": true,
    "remove": true
  },
  "options": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": "text",
      "name": "text",
      "order": 1,
      "meta": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "percentage_chance_to_close": 1,
      "chance_to_close_percentage": 1,
      "status": "open"
    }
  ],
  "relation": {
    "related_object": "123e4567-e89b-12d3-a456-426614174000",
    "related_category": "123e4567-e89b-12d3-a456-426614174000",
    "related_name": "text",
    "relation_type": "one_to_one",
    "rollup_timeline": true,
    "rollup_leadsources": true,
    "inverse_relation_rollup_timeline": true,
    "inverse_relation_rollup_leadsources": true,
    "inverse_relation_suppressed": true
  },
  "allow_on_forms": true
}
200Success
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "category": "123e4567-e89b-12d3-a456-426614174000",
    "display_name": "text",
    "canonical_display_name": "text",
    "is_default": true,
    "field_type": "checkbox",
    "is_required": true,
    "is_read_only": true,
    "is_hidden": true,
    "is_deletable": true,
    "is_hideable": true,
    "is_suppressed": true,
    "include_in_short_form": "text",
    "allows_nulls": true,
    "allows_empty": true,
    "order": 1,
    "meta": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "description": "text",
    "description_visibility": "all",
    "properties": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "access": {
      "view": true,
      "edit": true,
      "remove": true
    },
    "options": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "order": 1,
        "meta": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "percentage_chance_to_close": 1,
        "chance_to_close_percentage": 1,
        "status": "open"
      }
    ],
    "relation": {
      "related_field": "123e4567-e89b-12d3-a456-426614174000",
      "related_object": "123e4567-e89b-12d3-a456-426614174000",
      "related_category": "123e4567-e89b-12d3-a456-426614174000",
      "related_name": "text",
      "related_object_name": "text",
      "related_object_object_name": "text",
      "related_entity_name": "text",
      "relation_type": "one_to_one",
      "cardinality": "one_to_one",
      "fetch_url": "text",
      "rollup_timeline": true,
      "rollup_leadsources": true,
      "inverse_relation_rollup_timeline": true,
      "inverse_relation_rollup_leadsources": true,
      "inverse_relation_suppressed": true,
      "related_object_default_on_activities": "text"
    },
    "allow_on_forms": true
  }
]
post

Search custom objects

Authorizations
X-API-KEYstringRequired
X-BUSINESS-IDstringRequired
X-USER-IDstringRequired
Query parameters
allow_relationsbooleanOptional
custom_onlybooleanOptional

Filter Custom Objects for the Client object (is_custom field)

Default: true
default_on_activitiesbooleanOptional
is_custombooleanOptional
namestringOptional
object_namestringOptional
object_typestring · enumOptional
  • pipeline - pipeline
  • standard - standard
Possible values:
orderingstring · enumOptional

Which field to use when ordering the results. Prepend with '-' for descending order.

Possible values:
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

searchstringOptional

A search term.

Body
object_idsstring · uuid[]Optional
Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
errorsstring[] · nullableOptionalExample: ["error message"]
post/api/custom-objects/search
POST /api/custom-objects/search HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "object_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "fetch_url": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "object_type": "pipeline",
      "object_name": "text",
      "entity_name": "text",
      "rollup_related_leadsources": true,
      "association_source": "direct",
      "has_commerce_data": true,
      "default_on_activities": true,
      "owner": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "first_name": "text",
        "last_name": "text",
        "email": "name@gmail.com",
        "full_name": "text",
        "picture": {
          "id": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "key": "text",
          "name": "text",
          "url": "text",
          "thumbnail_url": "text",
          "size_bytes": "text",
          "content_type": "text",
          "size_formatted": "text",
          "is_public": true
        }
      },
      "description": "text",
      "is_custom": true,
      "allow_relations": true,
      "created": "2026-01-01T00:00:00.000Z",
      "access": {
        "view": true,
        "edit": true,
        "remove": true
      },
      "track_entity_value": true,
      "include_percentage_to_close": true,
      "use_ai_to_update_percentage": true,
      "ai_confidence_threshold": "text",
      "allow_on_forms": true,
      "default_color": "text",
      "default_icon": "text"
    }
  ],
  "errors": [
    "error message"
  ]
}

Last updated

Was this helpful?